【AmazonAPIの仕様変更】リクエストには、必要なパラメータが含まれていません。必要なパラメータには、AssociateTagなどがあります。

運営しているサイトにてある日突然AmazonAPIで取得しているアフィリエイトリンクが出なくなってしまった。

これまで安定して動いていたのにある日突然だったので、

「うん?Amazonの調子が悪いのか?それともレンサバのcrontabでも狂ったのか?」

としばらく放置していた。

まあAmazon広告が出なくなったからといってサイトが動かなくなる訳じゃないしね。

が、何日たっても一向に治る気配がない。

やれやれとログを見てみるとこんなエラーが・・・

リクエストには、必要なパラメータが含まれていません。必要なパラメータには、AssociateTagなどがあります。


ん?んん???

どうやらAmazonAPIの仕様変更があって

「AssociateTag」

というパラメータが追加になったらしい。

しかも必須かよオイ・・・・

アフィリエイトIDを指定してやれば良いだけなので修正はすぐ何とかなったけれども。

これがカテゴリーやノードに関わってて何か調べごとが必要なパラメータとかだったら涙目になってたかもしれない。

そういえば、Amazonのデベロッパー向けメールに何か来ていたのかもしれない。

でも基本アメリカ語は良く分からないのでメールは来ていたけど無意識にスルーしてたぽい。

でもアレって頻繁にメール来るから思わずスルー安定になっちゃう罠。

ああいや、たまにしかメール来なかったとしてもスルーするな自分は。

間違いない。自身ある。

でも、てっきりこうゆのって「Version」パラメータで呼び出すAPIのバージョンをクライアント側が指定できるもんだと思ってた。

要はそんなものに甘えるなと、

そういう事ですね。

Check

コメントをどうぞ

メールアドレスが公開されることはありません。


次のHTML タグと属性が使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

管理人運営サイト
<技術情報サイト:PGBox>
PGBOX